import * as React from 'react';
export interface EditorProps {
    value?: string;
    defaultValue?: string;
    className?: string;
    placeholder?: string;
    allowInWebDrop?: boolean;
    processHTML?: (html: string) => string;
    processText?: (text: string) => string;
    onFocus?: (e: React.FocusEvent<HTMLDivElement>) => void;
    onBlur?: (e: React.FocusEvent<HTMLDivElement>) => void;
    onDrop?: (e: React.DragEvent<HTMLDivElement>) => void;
    onPaste?: (e: React.ClipboardEvent<HTMLDivElement>) => void;
    onChange?: (value: string) => void;
    [restProp: string]: any;
}
export interface EditorRefAttrs {
    focus: () => void;
    insertHTML: (html: string) => void;
    insertText: (text: string) => void;
}
export declare let Editor: React.ForwardRefExoticComponent<Pick<EditorProps, React.ReactText> & React.RefAttributes<EditorRefAttrs>>;
